Bug 1798944 (python-littleutils) - Review Request: python-littleutils - Small collection of Python utilities.
Summary: Review Request: python-littleutils - Small collection of Python utilities.
Keywords:
Status: CLOSED ERRATA
Alias: python-littleutils
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aniket Pradhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: fedora-neuro python-outdated
TreeView+ depends on / blocked
 
Reported: 2020-02-06 11:27 UTC by Ankur Sinha (FranciscoD)
Modified: 2020-02-16 01:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-07 15:48:16 UTC
Type: ---
aniketpradhan1999: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2020-02-06 11:27:28 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-littleutils/python-littleutils.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-littleutils/python-littleutils-0.2.2-1.fc32.src.rpm

Description: Small collection of Python utilities.

Fedora Account System Username: ankursinha

Comment 1 Aniket Pradhan 2020-02-06 15:15:46 UTC
Just some small nits



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 4 files have unknown
     license. Detailed output of licensecheck in
     /home/major/Documents/NeuroFed/reviews/review-python-
     littleutils/licensecheck.txt
^ The review tool is also identifying the following files as licenses.
littleutils-0.2.2/PKG-INFO
littleutils-0.2.2/littleutils/__init__.py
littleutils-0.2.2/setup.cfg
littleutils-0.2.2/setup.py
I don't see a problem with the spec, so it seems to be fine.

[?]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
     packages/littleutils(Failed, set, locale,, C, to, defaulting),
     /usr/lib/python3.8/site-packages/littleutils-0.2.2-py3.8.egg-
     info(Failed, set, locale,, C, to, defaulting),
     /usr/lib/python3.8/site-packages/littleutils/__pycache__(Failed, set,
     locale,, C, to, defaulting),
     /usr/share/licenses/python3-littleutils(Failed, set, locale,, C, to,
     defaulting)
^ Is the review tool having a stroke?
Anyways, I again don't see a problem with spec, but I guess you can use the '-p'
flag to copy the license.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-littleutils-0.2.2-1.fc32.noarch.rpm
          python-littleutils-0.2.2-1.fc32.src.rpm
python3-littleutils.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
python3-littleutils.noarch: W: invalid-url URL: https://pypi.org/pypi/littleutils <urlopen error [Errno -2] Name or service not known>
python3-littleutils.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

^ Not sure what the perl warnings are about.
The rpmlint warnings can be ignored, as there is no documentation (neither a README) provided for the
package.



Source checksums
----------------
https://raw.githubusercontent.com/alexmojaki/littleutils/master/LICENSE :
  CHECKSUM(SHA256) this package     : dfe14f8798c400cbcc85bb4536a686c6fcf3086b3446c3f7c7054a2bcd73ca6a
  CHECKSUM(SHA256) upstream package : dfe14f8798c400cbcc85bb4536a686c6fcf3086b3446c3f7c7054a2bcd73ca6a
https://files.pythonhosted.org/packages/source/l/littleutils/littleutils-0.2.2.tar.gz :
  CHECKSUM(SHA256) this package     : e6cae3a4203e530d51c9667ed310ffe3b1948f2876e3d69605b3de4b7d96916f
  CHECKSUM(SHA256) upstream package : e6cae3a4203e530d51c9667ed310ffe3b1948f2876e3d69605b3de4b7d96916f


Requires
--------
python3-littleutils (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-littleutils:
    python-littleutils
    python3-littleutils
    python3.8dist(littleutils)
    python3dist(littleutils)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -n python-littleutils
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: Haskell, PHP, R, fonts, Java, C/C++, SugarActivity, Ocaml, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ankur Sinha (FranciscoD) 2020-02-06 21:51:14 UTC
(In reply to Aniket Pradhan from comment #1)
> Just some small nits
> 
> 
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> 
> ===== MUST items =====
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Expat License", "Unknown or generated". 4 files have unknown
>      license. Detailed output of licensecheck in
>      /home/major/Documents/NeuroFed/reviews/review-python-
>      littleutils/licensecheck.txt
> ^ The review tool is also identifying the following files as licenses.
> littleutils-0.2.2/PKG-INFO
> littleutils-0.2.2/littleutils/__init__.py
> littleutils-0.2.2/setup.cfg
> littleutils-0.2.2/setup.py
> I don't see a problem with the spec, so it seems to be fine.

+1, seems to be a false positive:

$ licensecheck -r .
./PKG-INFO: *No copyright* UNKNOWN
./setup.cfg: *No copyright* UNKNOWN
./setup.py: *No copyright* UNKNOWN
./littleutils/__init__.py: *No copyright* UNKNOWN


> 
> [?]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/lib/python3.8/site-
>      packages/littleutils(Failed, set, locale,, C, to, defaulting),
>      /usr/lib/python3.8/site-packages/littleutils-0.2.2-py3.8.egg-
>      info(Failed, set, locale,, C, to, defaulting),
>      /usr/lib/python3.8/site-packages/littleutils/__pycache__(Failed, set,
>      locale,, C, to, defaulting),
>      /usr/share/licenses/python3-littleutils(Failed, set, locale,, C, to,
>      defaulting)
> ^ Is the review tool having a stroke?
> Anyways, I again don't see a problem with spec, but I guess you can use the
> '-p'
> flag to copy the license.

Added -p, the files/folders are correctly owned from the looks of it.

> 
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [-]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
>      names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Package is not known to require an ExcludeArch tag.
> [x]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
>      one supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the
>      license(s) in its own file, then that file, containing the text of the
>      license(s) for the package is included in %license.
> [x]: Package requires other packages for directories it uses.
> [x]: Package must own all directories that it creates.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Dist tag is present.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package must not depend on deprecated() packages.
> [x]: Package use %makeinstall only when make install DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package does not use a name that already exists.
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as
>      provided in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 0 bytes in 0 files.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> Python:
> [x]: Python eggs must not download any dependencies during the build
>      process.
> [-]: A package which is used by another package via an egg interface should
>      provide egg info.
> [x]: Package meets the Packaging Guidelines::Python
> [x]: Package contains BR: python2-devel or python3-devel
> [x]: Packages MUST NOT have dependencies (either build-time or runtime) on
>      packages named with the unversioned python- prefix unless no properly
>      versioned package exists. Dependencies on Python packages instead MUST
>      use names beginning with python2- or python3- as appropriate.
> [x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
> [x]: Binary eggs must be removed in %prep
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: If the source package does not include license text(s) as a separate
>      file from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [-]: Sources are verified with gpgverify first in %prep if upstream
>      publishes signatures.
>      Note: gpgverify is not used.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [x]: Package should compile and build into binary rpms on all supported
>      architectures.
> [-]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed
>      files.
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> [x]: Spec file according to URL is the same as in SRPM.
> 
> 
> Rpmlint
> -------
> Checking: python3-littleutils-0.2.2-1.fc32.noarch.rpm
>           python-littleutils-0.2.2-1.fc32.src.rpm
> python3-littleutils.noarch: W: no-documentation
> 2 packages and 0 specfiles checked; 0 errors, 1 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> 	LANGUAGE = (unset),
> 	LC_ALL = (unset),
> 	LC_CTYPE = "C.UTF-8",
> 	LANG = "en_US.UTF-8"
>     are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").
> perl: warning: Setting locale failed.
> perl: warning: Please check that your locale settings:
> 	LANGUAGE = (unset),
> 	LC_ALL = (unset),
> 	LC_CTYPE = "C.UTF-8",
> 	LANG = "en_US.UTF-8"
>     are supported and installed on your system.
> perl: warning: Falling back to the standard locale ("C").
> python3-littleutils.noarch: W: invalid-url URL:
> https://pypi.org/pypi/littleutils <urlopen error [Errno -2] Name or service
> not known>
> python3-littleutils.noarch: W: no-documentation
> 1 packages and 0 specfiles checked; 0 errors, 2 warnings.
> 
> ^ Not sure what the perl warnings are about.
> The rpmlint warnings can be ignored, as there is no documentation (neither a
> README) provided for the
> package.
> 

That's a locale warning from rpmlint, but it doesn't affect the rpmlint output. So that's OK.

> 
> 
> Source checksums
> ----------------
> https://raw.githubusercontent.com/alexmojaki/littleutils/master/LICENSE :
>   CHECKSUM(SHA256) this package     :
> dfe14f8798c400cbcc85bb4536a686c6fcf3086b3446c3f7c7054a2bcd73ca6a
>   CHECKSUM(SHA256) upstream package :
> dfe14f8798c400cbcc85bb4536a686c6fcf3086b3446c3f7c7054a2bcd73ca6a
> https://files.pythonhosted.org/packages/source/l/littleutils/littleutils-0.2.
> 2.tar.gz :
>   CHECKSUM(SHA256) this package     :
> e6cae3a4203e530d51c9667ed310ffe3b1948f2876e3d69605b3de4b7d96916f
>   CHECKSUM(SHA256) upstream package :
> e6cae3a4203e530d51c9667ed310ffe3b1948f2876e3d69605b3de4b7d96916f
> 
> 
> Requires
> --------
> python3-littleutils (rpmlib, GLIBC filtered):
>     python(abi)
> 
> 
> 
> Provides
> --------
> python3-littleutils:
>     python-littleutils
>     python3-littleutils
>     python3.8dist(littleutils)
>     python3dist(littleutils)
> 
> 
> 
> Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
> Command line :/usr/bin/fedora-review -n python-littleutils
> Buildroot used: fedora-rawhide-x86_64
> Active plugins: Generic, Shell-api, Python
> Disabled plugins: Haskell, PHP, R, fonts, Java, C/C++, SugarActivity, Ocaml,
> Perl
> Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH


Updated spec: https://ankursinha.fedorapeople.org/python-littleutils/python-littleutils.spec
Updated srpm: https://ankursinha.fedorapeople.org/python-littleutils/python-littleutils-0.2.2-1.fc32.src.rpm

Cheers,

Comment 3 Aniket Pradhan 2020-02-07 08:04:57 UTC
Seems great. Approved. ^.^

Comment 4 Gwyn Ciesla 2020-02-07 15:09:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-littleutils

Comment 5 Ankur Sinha (FranciscoD) 2020-02-07 15:48:16 UTC
Build for rawhide and pushed for F31 also. (Bodhi didn't notify bugzilla). Closing this, and we can now work on python-outdated :)

Comment 6 Fedora Update System 2020-02-08 02:10:24 UTC
python-littleutils-0.2.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b67abfdd34

Comment 7 Fedora Update System 2020-02-16 01:30:02 UTC
python-littleutils-0.2.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.